@import "assets/scss/global";

.modal-send-unit-test {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
    max-width: unset;
    margin: 0;
    background: initial !important;

    [class~="rs-modal-dialog"] {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;

        [class~="rs-modal-content"] {
            width: 94vw;
            background: #FFFFFF;
            padding: 0;
            border-radius: 16px;

            [class~="rs-modal-body"] {
                max-height: 100% !important;
                margin: 0;
                padding: 0;
                display: flex;
                flex-direction: column;
                overflow: visible !important;

                .header {
                    padding: 24px 48px 0;
                    display: flex;
                    align-items: center;
                    flex-direction: row;

                    .title {
                        width: 60%;
                        justify-content: flex-start;

                        span {
                            text-transform: uppercase;
                            font-weight: 600;
                            font-size: 20px;
                            line-height: 28px;
                            color: #EF4E2B;

                        }
                    }

                    .progress {
                        width: 40%;                        
                    }
                }

                .body {
                    padding: 24px 48px 0;
                    display: flex;
                    flex-direction: column;
                    width: 100%;
                    max-height: fit-content;
                }

                .footer {
                    box-shadow: 0px 20px 54px rgba(0, 0, 0, 0.1);
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    justify-content: center;
                    gap: 15px;
                    padding: 20px 0;
                    border-radius: 0 0 16px 16px;

                    button {
                        width: 150px;

                        &.cancel {
                            background: #FFFFFF;
                            border: 1px solid #8E91A0;
                            color: #8E91A0;
                            box-shadow: none;
                        }

                        &.submit {
                            &.disabled {
                                color: #FFFFFF;
                                border: 1px solid #D8D8D8;
                                background: #D8D8D8;
                                box-shadow: 0px 12px 18px rgba(174, 174, 174, 0.25);                                
                            }
                        }
                    }
                    
                }
            }
        }
    }
}